View Issue Details

IDProjectCategoryView StatusLast Update
0000212Adventure PHP FrameworkBugpublic2015-10-12 12:20
ReporterGeneral CrimeAssigned ToChristianAchatz 
PrioritynormalSeverityminorReproducibilityalways
Status closedResolutionfixed 
Product Version2.1 
Target VersionFixed in Version2.1.1 
Summary0000212: Fehlende Templates im Pager
DescriptionDer AdvancedPagerController verlangt nach den Templates:
FirstPage_Active_** und LastPage_Active_** diese sind jedoch in der Datei pager_2.html nicht vorhanden!
TagsNo tags attached.
Codereferenz: ([Datei]:[Zeile])AdvancedPagerController:121,153
Namespacemodules

Activities

ChristianAchatz

2014-06-22 14:10

administrator   ~0000404

Das ist in der Tat ein Bug. Coach schaut sich das an.

ChristianAchatz

2014-06-23 15:09

administrator   ~0000409

Änderung in "release-2.1"-Branch eingecheckt.

General Crime

2014-06-25 09:10

developer   ~0000412

Fehlt nur noch der Platzhalter "FirstPage" und "LastPage" im "Content" Template :-)

ChristianAchatz

2014-06-25 16:16

administrator   ~0000413

Diese sind IMHO bereits enthalten:

<html:template name="FirstPage_de">
   <a href="<template:placeholder name="Link" />" title="Erste Seite anzeigen!"><<</a>
</html:template>

<html:template name="FirstPage_en">
    <a href="<template:placeholder name="Link" />" title="Display first page"><template:placeholder name="Page" />««</a>
</html:template>

Welche Fehler siehst du noch bzw. tauchen bei dir auf?

General Crime

2014-06-25 22:43

developer   ~0000414

Fehlt nur noch der Platzhalter "FirstPage" und "LastPage" im "Content Template" :)

Hier nun enthalten:
<html:template name="content">
    <div class="apf-pager">
        <div class="apf-pages">
            <template:placeholder name="FirstPage"/><template:placeholder name="PreviousPage" /><template:placeholder name="Content" /><template:placeholder name="NextPage" /><template:placeholder name="LastPage"/>
        </div>
        <template:placeholder name="DynamicPageSize" />
    </div>
</html:template>

ChristianAchatz

2014-06-26 10:29

administrator   ~0000415

Hi,

ist nun wirklich gefixt! :) Danke für deinen Input!

Issue History

Date Modified Username Field Change
2014-06-22 12:42 General Crime New Issue
2014-06-22 14:10 ChristianAchatz Note Added: 0000404
2014-06-22 14:10 ChristianAchatz Status new => acknowledged
2014-06-23 15:09 ChristianAchatz Note Added: 0000409
2014-06-23 15:09 ChristianAchatz Status acknowledged => resolved
2014-06-23 15:09 ChristianAchatz Fixed in Version => 2.1.1
2014-06-23 15:09 ChristianAchatz Resolution open => fixed
2014-06-23 15:09 ChristianAchatz Assigned To => ChristianAchatz
2014-06-25 09:10 General Crime Note Added: 0000412
2014-06-25 09:10 General Crime Status resolved => feedback
2014-06-25 09:10 General Crime Resolution fixed => reopened
2014-06-25 16:16 ChristianAchatz Note Added: 0000413
2014-06-25 22:43 General Crime Note Added: 0000414
2014-06-25 22:43 General Crime Status feedback => assigned
2014-06-26 10:29 ChristianAchatz Note Added: 0000415
2014-06-26 10:29 ChristianAchatz Status assigned => resolved
2014-06-26 10:29 ChristianAchatz Resolution reopened => fixed
2015-10-12 12:20 ChristianAchatz Status resolved => closed